FileItemsWrapper (last-updated-files 1.0.0-SNAPSHOT API)
Date: 2015-01-09

org.gcube.portlets.user.lastupdatedfiles.shared

## Class FileItemsWrapper

- java.lang.Object
- - org.gcube.portlets.user.lastupdatedfiles.shared.FileItemsWrapper

- All Implemented Interfaces:
    Serializable

      public class FileItemsWrapper
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileItemsWrapper()`
    `FileItemsWrapper(String folderName, String folderId, ArrayList<LufFileItem> items, boolean isInfrastructure)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFolderId()`
    `String` | `getFolderName()`
    `ArrayList<LufFileItem>` | `getItems()`
    `boolean` | `isInfrastructure()`
    `void` | `setFolderId(String folderId)`
    `void` | `setFolderName(String folderName)`
    `void` | `setInfrastructure(boolean isInfrastructure)`
    `void` | `setItems(ArrayList<LufFileItem> items)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileItemsWrapper

          public FileItemsWrapper()

    - #### FileItemsWrapper

          public FileItemsWrapper(String folderName,
                          String folderId,
                          ArrayList<LufFileItem> items,
                          boolean isInfrastructure)

  - ### Method Detail

    - #### getFolderName

          public String getFolderName()

    - #### setFolderName

          public void setFolderName(String folderName)

    - #### getFolderId

          public String getFolderId()

    - #### setFolderId

          public void setFolderId(String folderId)

    - #### getItems

          public ArrayList<LufFileItem> getItems()

    - #### setItems

          public void setItems(ArrayList<LufFileItem> items)

    - #### isInfrastructure

          public boolean isInfrastructure()

    - #### setInfrastructure

          public void setInfrastructure(boolean isInfrastructure)

Copyright © 2015. All Rights Reserved.